import type { InjectionKey } from 'vue';
import type { AppConfig, useAppProps } from './interface';
export declare const AppConfigContextKey: InjectionKey<AppConfig>;
export declare function useProvideAppConfigContext(appConfigContext: AppConfig): void;
export declare function useInjectAppConfigContext(): AppConfig;
export declare const AppContextKey: InjectionKey<useAppProps>;
export declare function useProvideAppContext(appContext: useAppProps): void;
export declare function useInjectAppContext(): useAppProps;
